GET
Get enterprise user signing key
Get the signing key for an enterprise user. The signing key is used to sign arbitrary messages, which other enterprise users can verify. The caller of this API must have view permissions on the enterprise.
Path Params
-
enterpriseIdstring required -
userIdstring required
Responses
200
OK
Response Body
object
-
userIdstring required -
userEmailstring email required -
derivedPubkeystring requiredThe derived public key of the user. -
derivationPathstring nullableThe derivation path used to derive derivedPubkey. Returned only if you're fetching your own signing key. -
ecdhKeychainstring nullableThe bip32 public key that you can use to fetch a v1 keychain. Returned only if you're fetching your own signing key.
400
Bad Request
Response Body
ONE OF
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
-
namestring enum requiredInvalidEnterpriseId -
contextobject requiredcontext object
-
idstring required
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id